﻿using Syncfusion.SfImageEditor.XForms;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Resources;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageEditor_SimpleSample
{
	public partial class MainPage : ContentPage
	{
        Stream stream;
        public MainPage()
        {
            InitializeComponent();
            imageeditor.Source = ImageSource.FromResource("ImageEditor_SimpleSample.image3.png",GetType().GetTypeInfo().Assembly);
            imageeditor.ToolbarSettings.ToolbarItems.Add(new FooterToolbarItem()
            {
                Text = "SaveEdits"
            });
            imageeditor.ToolbarSettings.ToolbarItemSelected += ToolbarSettings_ToolbarItemSelected;
        }

        private void ToolbarSettings_ToolbarItemSelected(object sender, ToolbarItemSelectedEventArgs e)
        {
            string name = e.ToolbarItem.Text;
            if (name == "SaveEdits")
                stream = imageeditor.SaveEdits();
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new SavedImagePage(stream));
        }

        private void Imageeditor_ImageSaving(object sender, ImageSavingEventArgs args)
        {
            stream = args.Stream;
        }
    }
}
